/* -*- indent-tabs-mode: nil; js-indent-level: 2 -*- */
/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

const {classes: Cc, interfaces: Ci, utils: Cu} = Components;

Cu.import("resource://gre/modules/Services.jsm");

const PREF_D3D9_FALLBACK = "layers.allow-d3d9-fallback";

function install(data, reason) {
  try {
    if (Services.prefs.getBoolPref(PREF_D3D9_FALLBACK)) {
      Services.prefs.setBoolPref(PREF_D3D9_FALLBACK, false);
      Services.prefs.savePrefFile(null);
    }
  } catch (ex) {
    Cu.reportError(ex);
  }
}

function startup(data, reason) { }

function uninstall(data, reason) { }

function shutdown(data, reason) { }
